<?php

class SecurityNinjaMainWPExtension {

	public function __construct() {
		add_action( 'init', array( &$this, 'init' ) );
		add_action( 'admin_init', array( &$this, 'admin_init' ) );
	}



	/*
	/**
	* Create your extension page
	*
	* @author	Lars Koudal
	* @since	v0.0.1
	* @version	v1.0.0	Thursday, March 24th, 2022.
	* @access	public
	* @return	void
	*/
	public static function render_page() {
		global $security_ninja_mainwp_extension_activator;
		$websites = apply_filters( 'mainwp_getsites', $security_ninja_mainwp_extension_activator->get_child_file(), $security_ninja_mainwp_extension_activator->get_child_key(), null );

		?>
		<div class="secnin-content-wrapper" style="padding:20px;">
			<table class="wp-list-table widefat striped" cellspacing="0" id="security-ninja">
				<thead>
					<tr>
						<td id="cb" class="manage-column column-cb check-column">
							<label class="screen-reader-text" for="cb-select-all-1">Select All</label>
							<input id="cb-select-all-1" type="checkbox">
						</td>
						<th>Website</th>
						<th>Vulnerabilities</th>
						<th class="column-primary">Security Score</th>
					</tr>
				</thead>
				<tbody>
					<?php
					if ( ! is_array( $websites ) ) {
						?>
						<tr>
							<td colspan="2">No info</td>
						</tr>
						<?php
					}

					if ( is_array( $websites ) ) {
						foreach ( $websites as $we ) {

							?>
							<tr class="secninrow" data-website="<?php echo esc_attr( $we['id'] ); ?>">
								<th scope="row" class="check-column"><input id="cb-select-<?php echo esc_attr( $we['id'] ); ?>" type="checkbox" name="snresult[]" value="<?php echo esc_attr( $we['id'] ); ?>"></th>

								<td><a href="<?php echo esc_url( $we['url'] ); ?>" target="_blank" rel="noopener"><?php echo esc_html( $we['name'] ); ?></a></td>
								<td class="secnin-vulns"><span class="spinner is-active"></span></td>
								<td class="secnin-scores">
									<span class="secnin-score"><span class="spinner is-active"></span></span>
									<span class="secnin-good secnin-score-details">-</span>
									<span class="secnin-warning secnin-score-details">-</span>
									<span class="secnin-bad secnin-score-details">-</span>
								</td>
							</tr>
							<?php
						}
					}
					?>
				</tbody>
			</table>
		</div>
		<?php
	}



	/**
	 * get_childkey.
	 *
	 * @author   Lars Koudal
	 * @since    v0.0.1
	 * @version  v1.0.0  Thursday, March 24th, 2022.
	 * @access   public
	 * @return   mixed
	 */
	public static function get_childkey() {
		// retrieves the childkey as a function that we can call, inside of the class
		global $child_enabled;
		$child_enabled = apply_filters( 'mainwp_extension_enabled_check', __FILE__ );
		if ( ! $child_enabled ) {
			return;
		}
		$child_key = $child_enabled['key'];
		return $child_key;
	}
}
